//$Id: NamedSQLQuery.java,v 1.1.2.3 2003/11/06 13:43:22 oneovthafew Exp $
package net.sf.hibernate.mapping;

/**
 * Simple value holder for named sql queries.
 * 
 * @author MAX
 */
public class NamedSQLQuery {
	
	private String query;
	private String[] returnAliases;
	private Class[] returnClasses;

	public NamedSQLQuery(String query, String[] aliases, Class[] clazz) {
		this.returnClasses = clazz;
		this.returnAliases = aliases;
		this.query = query;
	
	}

	/**
	 * @return Returns the aliases.
	 */
	public String[] getReturnAliases() {
		return returnAliases;
	}
	/**
	 * @return Returns the clazz.
	 */
	public Class[] getReturnClasses() {
		return returnClasses;
	}
	/**
	 * @return Returns the query.
	 */
	public String getQueryString() {
		return query;
	}
}
